VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::cis::tagging::CategoryModel::Cardinality Class Reference

The `CategoryModel.Cardinality` enumerated type defines the number of tags in a category that can be assigned to an object. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, SINGLE, MULTIPLE }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static Cardinality[] | GetValues ()
static Cardinality | ValueOf (string name)
## Static Public Attributes
static readonly Cardinality | SINGLE = new Cardinality("SINGLE", Values.SINGLE)
| An object can only be assigned one of the tags in this category.
static readonly Cardinality | MULTIPLE = new Cardinality("MULTIPLE", Values.MULTIPLE)
| An object can be assigned several of the tags in this category.

## Detailed Description

The `CategoryModel.Cardinality` enumerated type defines the number of tags in a category that can be assigned to an object.

## Member Enumeration Documentation

enum vmware::cis::tagging::CategoryModel::Cardinality::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  SINGLE | An object can only be assigned one of the tags in this category. For example, if a category is "Operating System", then different tags of this category would be "Windows", "Linux", and so on. In this case a VM object can be assigned only one of these tags and hence the cardinality of the associated category here is single.
  MULTIPLE | An object can be assigned several of the tags in this category. For example, if a category is "Server", then different tags of this category would be "AppServer", "DatabaseServer" and so on. In this case a VM object can be assigned more than one of the above tags and hence the cardinality of the associated category here is multiple.

## Member Function Documentation

Values vmware::cis::tagging::CategoryModel::Cardinality::GetEnumValue | ( |  | ) | `[inline]`

static Cardinality [] vmware::cis::tagging::CategoryModel::Cardinality::GetValues | ( |  | ) | `[inline, static]`

bool vmware::cis::tagging::CategoryModel::Cardinality::IsUnknown | ( |  | ) | `[inline]`

static Cardinality vmware::cis::tagging::CategoryModel::Cardinality::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly Cardinality vmware::cis::tagging::CategoryModel::Cardinality::MULTIPLE = new Cardinality("MULTIPLE", Values.MULTIPLE)`[static]`

An object can be assigned several of the tags in this category.

For example, if a category is "Server", then different tags of this category would be "AppServer", "DatabaseServer" and so on. In this case a VM object can be assigned more than one of the above tags and hence the cardinality of the associated category here is multiple.

readonly Cardinality vmware::cis::tagging::CategoryModel::Cardinality::SINGLE = new Cardinality("SINGLE", Values.SINGLE)`[static]`

An object can only be assigned one of the tags in this category.

For example, if a category is "Operating System", then different tags of this category would be "Windows", "Linux", and so on. In this case a VM object can be assigned only one of these tags and hence the cardinality of the associated category here is single.

The documentation for this class was generated from the following file:

- CategoryModel.cs